# Class V3

java.lang.Object
javajs.util.T3
javajs.util.V3

All Implemented Interfaces:
  `Serializable, JSONEncodable`

Direct Known Subclasses:
  `Vibration`

public class V3 extends T3
A 3-element vector that is represented by single precision floating point x,y,z coordinates. If this value represents a normal, then it should be normalized.

Version:
  specification 1.1, implementation $Revision: 1.10 $, $Date: 2006/10/03 19:52:30 $
Author:
  Kenji hiranabe additions by Bob Hanson hansonr@stolaf.edu 9/30/2012 for unique constructor and method names for the optimization of compiled JavaScript using Java2Script
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class T3

`x, y, z`

## Constructor Summary

Constructors
Constructor
Description
`V3()`

## Method Summary

Modifier and Type
Method
Description
`final float`
`angle(V3 v1)`
Returns the angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].
`static V3`
`new3(float x, float y, float z)`
`static V3`
`newV(T3 t)`
`static V3`
`newVsub(T3 t1, T3 t2)`

### Methods inherited from class T3

`add, add2, add3, ave, cross, distance, distanceSquared, dot, equals, floatToIntBits, hashCode, length, lengthSquared, normalize, putP, scale, scaleAdd2, scaleT, set, setA, setP, setT, sub, sub2, toJSON, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### V3

public V3()

## Method Details

### newV

public static V3 newV(T3 t)

### newVsub

public static V3 newVsub(T3 t1, T3 t2)

### new3

public static V3 new3(float x, float y, float z)

### angle

public final float angle(V3 v1)
Returns the angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].

Parameters:
  `v1` - the other vector
Returns:
  the angle in radians in the range [0,PI]